Subject: Re: patch reverts on linux-next - ioremap_uc() for atyfb

From: Ingo Molnar <[email-masked]>
Date: Wed, 29 Jul 2015 10:05:18 +0200

* Luis R. Rodriguez <[email-masked]> wrote:

> Andrew,
> 
> I got a notice from Ingo on July 21 that one of my patches, "x86/mm,
> asm-generic: Add IOMMU ioremap_uc() variant default" was merged into tip. It
> was merged a long with other patches, for example:
> 
> http://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/video/fbdev/aty/atyfb_base.c?id=3cc2dac5be3f23414a4efdee0b26d79bed297cac
> 
> I wrote this patch after Boris had my atyfb series bake on his tree
> as his tree receives 0-day tests. Then this patch for example makes use of
> ioremap_uc():
> 
> "drivers/video/fbdev/atyfb: Replace MTRR UC hole with strong UC"
> 
> I noticed though that on top there's a revert of that same patch:
> 
> http://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/commit/drivers/video/fbdev/aty/atyfb_base.c?id=4c090fb7209d523ef4cedb354192a190edd0d166
> 
> Revert "drivers/video/fbdev/atyfb: Replace MTRR UC hole with strong UC" akpm-base
> This reverts commit 3cc2dac5be3f23414a4efdee0b26d79bed297cac.
> 
> It doesn't explain why this was reverted though. Is it OK for things be
> reverted like this ?

The revert Stephen has done were only temporary, done for the throw-away 
linux-next integration branch, to make sure linux-next builds on the architectures 
your patch broke.

I've applied your fix to -tip, and after some testing will push it out to 
linux-next - at that point the temporary reverts will not be needed in linux-next 
anymore and will be dropped. They won't ever go upstream.

Thanks,

	Ingo